From b3575ab6e69283d8e3eb2df9b2c4a41733d3b506 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 22:40:42 -0400
Subject: [PATCH 14/22] gnu: zathura-ps: Update package definition.

* gnu/packages/pwmt.scm (zathura-ps): Make changes to reflect particulars
of recent source code.
[inputs]: Add cairo, girara, glib, gtk+, json-c and libnotify.
[synopsis]: Updated.
[description]: Updated.
---
 gnu/packages/pwmt.scm | 43 ++++++++++++++++++++++++++-----------------
 1 file changed, 26 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 45481ad53c..2550de0a33 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -184,34 +184,43 @@ DjVu and ComicBook) via plugins.")
   (package
     (name "zathura-ps")
     (version "0.2.6")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-ps/download/zathura-ps-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "0wygq89nyjrjnsq7vbpidqdsirjm6iq4w2rijzwpk2f83ys8bc3y"))))
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "https://pwmt.org/projects/zathura-ps/download/zathura-ps-"
+                       version ".tar.xz"))
+       (sha256
+        (base32
+         "0wygq89nyjrjnsq7vbpidqdsirjm6iq4w2rijzwpk2f83ys8bc3y"))))
     (build-system meson-build-system)
     (arguments
-     `(#:tests? #f                      ; package does not contain tests
+     `(#:tests? #f                      ; No target
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-plugin-directory
-           ;; Something of a regression in 0.2.6: the new Meson build system
-           ;; now hard-codes an incorrect plugin directory.  Fix it.
+           ;; This package tries to install into directory of Zathura.
+           ;; That cannot be allowed. Fix it.
            (lambda* (#:key outputs #:allow-other-keys)
              (substitute* "meson.build"
                (("(install_dir:).*" _ key)
                 (string-append key
                                "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
              #t)))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs `(("libspectre" ,libspectre)
-              ("zathura" ,zathura)))
-    (synopsis "PS support for zathura (libspectre backend)")
-    (description "The zathura-ps plugin adds PS support to zathura
-using libspectre.")
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("girara" ,girara)
+       ("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("json-c" ,json-c)              ; To generate cargs for zathura
+       ("libnotify" ,libnotify)        ; To generate cargs for zathura
+       ("libspectre" ,libspectre)
+       ("zathura" ,zathura)))
+    (synopsis "PostScript support for zathura")
+    (description "The zathura-ps plugin adds PostScript support to zathura by
+using the libspectre library.")
     (home-page "https://pwmt.org/projects/zathura-ps/")
     (license license:zlib)))
 
-- 
2.26.2

